.alert-danger:not(.alert-outline):not(.alert-outline-coloured) {
    background: #f8d7da;
}

.alert {
    color: #212529;
    display: flex;
    padding: 0;
}

.alert-dismissible {
    padding-right: 2.85rem;
}

.alert {
    --bs-alert-bg: transparent;
    --bs-alert-padding-x: 0.95rem;
    --bs-alert-padding-y: 0.95rem;
    --bs-alert-margin-bottom: 1rem;
    --bs-alert-color: inherit;
    --bs-alert-border-color: transparent;
    --bs-alert-border: 0 solid var(--bs-alert-border-color);
    --bs-alert-border-radius: var(--bs-border-radius);
    --bs-alert-link-color: inherit;
    background-color: var(--bs-alert-bg);
    border: var(--bs-alert-border);
    border-radius: var(--bs-alert-border-radius);
    color: var(--bs-alert-color);
    margin-bottom: var(--bs-alert-margin-bottom);
    /* padding: var(--bs-alert-padding-y) var(--bs-alert-padding-x); */
    position: relative;
}

.alert-icon {
    background: rgba(0, 0, 0, .05);
    padding: .95rem;
}

.alert-dismissible .btn-close {
    padding: 1.1875rem .95rem;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 2;
}

.alert-message {
    box-sizing: border-box;
    padding: .95rem;
    width: 100%;
}

.alert-danger {
    --bs-alert-color: var(--bs-danger-text-emphasis);
    --bs-alert-bg: var(--bs-danger-bg-subtle);
    --bs-alert-border-color: var(--bs-danger-border-subtle);
    --bs-alert-link-color: var(--bs-danger-text-emphasis);
}

.alert-warning {
    --bs-alert-color: var(--bs-warning-text-emphasis);
    --bs-alert-bg: var(--bs-warning-bg-subtle);
    --bs-alert-border-color: var(--bs-warning-border-subtle);
    --bs-alert-link-color: var(--bs-warning-text-emphasis);
}

.alert-success {
    --bs-alert-color: var(--bs-success-text-emphasis);
    --bs-alert-bg: var(--bs-success-bg-subtle);
    --bs-alert-border-color: var(--bs-success-border-subtle);
    --bs-alert-link-color: var(--bs-success-text-emphasis);
}

.alert-info {
    --bs-alert-color: var(--bs-info-text-emphasis);
    --bs-alert-bg: var(--bs-info-bg-subtle);
    --bs-alert-border-color: var(--bs-info-border-subtle);
    --bs-alert-link-color: var(--bs-info-text-emphasis);
}